org.apache.solr.client.solrj.cloud.autoscaling

## Class WithCollectionVariable

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.VariableBase
  - - org.apache.solr.client.solrj.cloud.autoscaling.WithCollectionVariable

All Implemented Interfaces:
  Variable

    public class WithCollectionVariable
    extends VariableBase

Implements the 'withCollection' variable type

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.cloud.autoscaling.VariableBase

`VariableBase.CoreIndexSizeVariable, VariableBase.DiskTypeVariable, VariableBase.LazyVariable, VariableBase.TotalDiskVariable`

### Nested classes/interfaces inherited from interface org.apache.solr.client.solrj.cloud.autoscaling.Variable

`Variable.Meta, Variable.Type`

### Field Summary

### Fields inherited from interface org.apache.solr.client.solrj.cloud.autoscaling.Variable

`coreidxsize, NULL`

### Constructor Summary

Constructors
Constructor and Description
`WithCollectionVariable(Variable.Type type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `addViolatingReplicas(org.apache.solr.client.solrj.cloud.autoscaling.Violation.Ctx ctx)`
`int` `compareViolation(Violation v1, Violation v2)`
`void` `getSuggestions(org.apache.solr.client.solrj.cloud.autoscaling.Suggestion.Ctx ctx)`
`boolean` `match(Object inputVal, Operand op, Object val, String name, Row row)`
`void` `projectAddReplica(Cell cell, ReplicaInfo ri, Consumer<org.apache.solr.client.solrj.cloud.autoscaling.Row.OperationInfo> opCollector, boolean strictMode)`

### Methods inherited from class org.apache.solr.client.solrj.cloud.autoscaling.VariableBase

`getTagType, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.cloud.autoscaling.Variable

`computeDeviation, computeValue, convertVal, getOperand, postValidate, projectRemoveReplica`

### Constructor Detail

#### WithCollectionVariable

    public WithCollectionVariable(Variable.Type type)

### Method Detail

#### match

    public boolean match(Object inputVal,
                         Operand op,
                         Object val,
                         String name,
                         Row row)

#### projectAddReplica

    public void projectAddReplica(Cell cell,
                                  ReplicaInfo ri,
                                  Consumer<org.apache.solr.client.solrj.cloud.autoscaling.Row.OperationInfo> opCollector,
                                  boolean strictMode)

#### compareViolation

    public int compareViolation(Violation v1,
                                Violation v2)

Specified by:
  `compareViolation` in interface `Variable`
Overrides:
  `compareViolation` in class `VariableBase`

#### addViolatingReplicas

    public boolean addViolatingReplicas(org.apache.solr.client.solrj.cloud.autoscaling.Violation.Ctx ctx)

#### getSuggestions

    public void getSuggestions(org.apache.solr.client.solrj.cloud.autoscaling.Suggestion.Ctx ctx)

Specified by:
  `getSuggestions` in interface `Variable`
Overrides:
  `getSuggestions` in class `VariableBase`